Index: doc/generate_doxygen.sh |
diff --git a/util/test/paths_test_data_root.txt b/doc/generate_doxygen.sh |
old mode 100644 |
new mode 100755 |
similarity index 68% |
copy from util/test/paths_test_data_root.txt |
copy to doc/generate_doxygen.sh |
index 1ddd26425372bc5608b37c4379d140827b850301..5da9cd31ded211b04740200ca621e71310e51700 |
--- a/util/test/paths_test_data_root.txt |
+++ b/doc/generate_doxygen.sh |
@@ -1,3 +1,5 @@ |
+#!/bin/sh |
+ |
# Copyright 2015 The Crashpad Authors. All rights reserved. |
# |
# Licensed under the Apache License, Version 2.0 (the "License"); |
@@ -12,5 +14,16 @@ |
# See the License for the specific language governing permissions and |
# limitations under the License. |
-This file is used by Paths::TestDataRoot() to locate the test data root. It |
-is present at a known path from the test data root. |
+set -e |
+ |
+# Generating Doxygen documentation requires Doxygen, http://www.doxygen.org/. |
+ |
+# Run from the Crashpad project root directory. |
+cd "$(dirname "${0}")/.." |
+ |
+output_dir=out/doc/doxygen |
+ |
+rm -rf "${output_dir}" |
+mkdir -p "${output_dir}" |
+ |
+doxygen doc/crashpad.doxy |